%global project   felix
%global bundle    org.apache.felix.gogo.runtime

%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package %{project}-gogo-runtime}

Name:             %{?scl_prefix}%{project}-gogo-runtime
Version:          0.10.0
Release:          8%{?dist}
Summary:          Community OSGi R4 Service Platform Implementation - Basic Commands
Group:            Development/Tools
License:          ASL 2.0
URL:              http://felix.apache.org/site/apache-felix-gogo.html

Source0:          http://www.mirrorservice.org/sites/ftp.apache.org//felix/org.apache.felix.gogo.runtime-0.10.0-project.tar.gz 

# Typecast an Event constructor call with java.util.Properties to 
# java.util.Dictionary because the call to the constructor with Properties
# was ambiguous.
Patch1:           %{pkg_name}-dictionary.patch
# Changed path to DEPENDENCIES, LICENSE and NOTICE from META-INF to root dir
Patch2:           %{pkg_name}-bundle-resources.patch
# Removed failing thread IO test
Patch3:           %{pkg_name}-deleted-io-test.patch
# Removed relativePath to parent pom
Patch4:           %{pkg_name}-parent.patch

BuildArch:		  noarch

BuildRequires:    java
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    felix-osgi-core
BuildRequires:    felix-osgi-compendium
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    %{?scl_prefix}felix-gogo-parent
%{?scl:BuildRequires:	  %{?scl_prefix}build}

Requires:         java 
Requires:         jpackage-utils
%{?scl:Requires: %scl_runtime}

%description
Apache Felix is a community effort to implement the OSGi R4 Service Platform
and other interesting OSGi-related technologies under the Apache license. The
OSGi specifications originally targeted embedded devices and home services
gateways, but they are ideally suited for any project interested in the
principles of modularity, component-orientation, and/or service-orientation.
OSGi technology combines aspects of these aforementioned principles to define a
dynamic service deployment framework that is amenable to remote management.

%prep
%setup -q -n %{bundle}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{?scl:%scl_maven_opts}
mvn-rpmbuild install javadoc:aggregate 

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{project}
install -pm 644 target/%{bundle}-%{version}.jar %{buildroot}%{_javadir}/%{project}/%{bundle}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{project}-%{bundle}.pom
%add_maven_depmap JPP.%{project}-%{bundle}.pom %{project}/%{bundle}.jar

%files
%doc DEPENDENCIES LICENSE NOTICE 
%{_javadir}/*
%{_mavenpomdir}/JPP.%{project}-%{bundle}.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Tue Apr 2 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-8
- Restore the original name of the installed jar.

* Wed Feb 13 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-7
- Make noarch again.

* Wed Nov 21 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-6
- Add Exclusive Arch.

* Tue Nov 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-5
- Change the name of the pom to match the bundle name.

* Tue Nov 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-4
- Added BR to %%{?scl_prefix}build
- Removed hardcoded scl flag.

* Tue Nov 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-3
- Added R to %%scl_runtime.

* Tue Nov 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-2
- Added sources file.

* Tue Nov 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.10.0-1
- Initial commit to SCL.
